document.getElementById('budgetForm').addEventListener('submit', function(e) {
  e.preventDefault();
  
  const income = parseFloat(document.getElementById('income').value);
  const expenses = parseFloat(document.getElementById('expenses').value);
  
  if (isNaN(income) || isNaN(expenses)) {
    alert('Please enter valid numbers for both fields');
    return;
  }
  
  const balance = income - expenses;
  const savings = balance * 0.2; // Assuming 20% savings
  
  document.getElementById('balance').textContent = `$${balance.toFixed(2)}`;
  document.getElementById('savings').textContent = `$${savings.toFixed(2)}`;
});